---
title: Window.applicationCache
slug: Web/API/Window/applicationCache
tags:
  - API
  - Deprecated
  - HTML DOM
  - NeedsCompatTable
  - NeedsExample
  - NeedsSpecTable
  - Property
  - Reference
  - Window
---
<p>{{Deprecated_Header}}{{Non-standard_Header}}</p>

<div class="notecard warning">
<h4 id="Important">Important</h4>

<p>Application Cache is deprecated as of Firefox 44, and is no longer available in insecure contexts from Firefox 60 onwards ({{bug(1354175)}}, currently Nightly/Beta only). Don't use it to offline websites — consider using <a href="/en-US/docs/Web/API/Service_Worker_API">service workers</a> instead.</p>
</div>

<p>Returns a reference to the application cache object for the window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>cache</var> = window.applicationCache
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
	<li><code>cache</code> is an object reference to an <code>OfflineResourceList</code>.</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SharedWorkerGlobalScope.applicationCache")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/HTML/Using_the_application_cache">Using Application Cache</a></li>
</ul>
